using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;

namespace Toolkit.Services
{
    public interface IInputHandler
    {
        KeyboardState KeyboardState { get; }
        GamePadState[] GamePads { get; }

#if !XBOX360
        MouseState MouseState { get; }
        MouseState PreviousMouseState { get; }
#endif

        void EnableInputHandler();
        void DisableInputHandler();
    }
}
